Subject: RE: [Mip6] FW: Internal WG Review: Recharter of Mobility forIPv4(mip4)

From: "Zhang, Qiang [NTK]" <[email-masked]>
Date: Wed, 21 Jun 2006 13:47:20 -0500

Raj, Jouni,

FYI, the new 3gpp2 and 3gpp wireless IP standards have the requirements
for PDSN, GGSN to support simultaneous data context be it combination of
simple IPv4, IPv6, MIPv4, MIPv6, a reference doc
 http://www.3gpp2.org/Public_html/specs/X.S0011-002-D_v1.0_060301.pdf 

I guess it is more an implementation issue now. As Soliman pointed out,
if dual stacks are taken care of separately (specially do-able in
controlled carrier environment), the DSMIP won't be necessarily
applicable

Qiang

-----Original Message-----
From: Basavaraj Patil [mailto:[email-masked]] 
Sent: Tuesday, June 20, 2006 4:41 PM
To: ext [email-masked]; Levkowetz;
[email-masked]
Cc: Jari Arkko; [email-masked]; [email-masked]
Subject: Re: [Mip6] FW: Internal WG Review: Recharter of Mobility
forIPv4(mip4)

Hi Jouni,

Inline:

On 6/20/06 7:45 AM, "ext [email-masked]"
<[email-masked]> wrote:

> Hi Raj,
> 
>> Henrik,
>> 
>> In the DS-MIP6 case the reasoning for the work has been that
>> IPv6 native
>> access is not expected to be ubiquitous and hence given that
>> the host is DS
>> and access is IPv4, there is a need to enable MIP6 continuity
>> while being
>> attached to a v4 network. The ability to carry IPv4 within
>> the MIP6 session
>> is to enable applications and services that are v4 based on
>> the hosts and is
>> applicable in the scenario when the host is connected to a
>> native v6 access
>> only (which I guess we believe will be the situation at some
>> point in the
>> future). So I believe there is a good reason to do this for MIP6.
> 
> Don't we have this situation in a way already? If I remember correctly
> e.g. in 2G/3G a DS terminal can open either an IPv4 or IPv6 PDP
context.
> So if you want IPv6 over your cellular you are stuck in IPv6 only
> access for that context. Of course then it is up to the terminal
> and/or GGSN implementations whether they allow multiple primary
> contexts of different IP version (and possibly to the same APN),
> which might not always be the case..

Current terminals can have multiple PDP contexts for sure. I am not sure
if
a terminal can establish an IPv4/v6 PDP context to the same APN. I don't
know if this works or if this is not allowed for some reason. But it is
a
limitation if an APN does not allow multiple IP version PDP contexts for
the
same host... And in such a case, I agree that if you have an IPvX PDP
context, you would want to carry the other IP version over that.

However in the context of GPRS, I think that would be a suboptimal
solution.
Rather I would think that having the APN support multiple PDP contexts
for
the same host with different IP versions would a cleaner solution.

-Raj

> Jouni

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: "Soliman, Hesham" <[email-masked]>
Date: Wed, 21 Jun 2006 18:29:13 -0700

> controlled carrier environment), the DSMIP won't be necessarily

=> I guess you're referring to something I said? I don't recall saying
anything similar to your understanding above. I think this is a
miunderstanding

Hesham

---

From: Tom Wan <[email-masked]>
Date: Thu, 22 Jun 2006 10:32:31 +0800

Hi, Soliman:

I think we should not  consider a solution currently.

We must answer this question firstly:
should home network support both ipv4 and ipv6 protocol?

I think there are three categories of scenarios:
home network supports ipv4 only
home network supports ipv6 only
home network supports both ipv4 and ipv6.

I think they all possible scenarios.The reason is that  ietf should not 
require the operator that all their HAs must
support both ipv4 and ipv6.It is up to the operators.

DSmip requries that home network must support both ipv4 and ipv6. surely,It 
can solve problems in scenario 3.
But how about the other two scenarios? I think we should consider all 
possible scenarios firstly before we consider
a unified solution.

These scenarios are mentioned in my draft, would you mind discussing these 
scenarios with me?Thanks.

BR
Tom

---

From: Michael Ye <[email-masked]>
Date: Thu, 22 Jun 2006 11:18:31 +0800

Hi All,

	Yes, I must consider all possible scenarios before making a
solution.
	If there are unclear in possible scenarios,we should come back the
previous discussions for solveing the problems.

BR,
Michael

-----Original Message-----
From: Tom Wan [mailto:[email-masked]] 
Sent: Thursday, June 22, 2006 10:33 AM
To: Soliman, Hesham; [email-masked]
Subject: Re: [Mip6] FW: Internal WG Review: Recharter of Mobility
forIPv4(mip4)

Hi, Soliman:

I think they all possible scenarios.The reason is that  ietf should not
require the operator that all their HAs must support both ipv4 and ipv6.It
is up to the operators.

DSmip requries that home network must support both ipv4 and ipv6. surely,It
can solve problems in scenario 3.
But how about the other two scenarios? I think we should consider all
possible scenarios firstly before we consider a unified solution.

BR
Tom

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 26 Jun 2006 20:03:24 +0200

Tom Wan wrote:
> We must answer this question firstly: should home network support
> both ipv4 and ipv6 protocol?

I agree we should discuss this.

> I think there are three categories of scenarios: home network
> supports ipv4 only home network supports ipv6 only home network
> supports both ipv4 and ipv6.
> 
> I think they all possible scenarios.The reason is that  ietf should
> not require the operator that all their HAs must support both ipv4
> and ipv6.It is up to the operators.
> 
> DSmip requries that home network must support both ipv4 and ipv6. 
> surely,It can solve problems in scenario 3. But how about the other
> two scenarios? I think we should consider all possible scenarios
> firstly before we consider a unified solution.

I think DS-MIPv6 should only care about IPv6 permanent home addresses
and IPv6 continuous sessions (and not about IPv4 permanent home
addresses, nor IPv4 continuous sessions).

Alex